# Get all bulk processes

Filter bulk processes.

Endpoint: GET /bulks
Version: v3
Security: auth_token, api-key

## Query parameters:

  - `offset` (integer)
    The offset value for paging, indicating the initial item number to be returned from the data set satisfying the given criteria. Leave out to fetch the first page of results.

  - `limit` (integer)
    The limit of the results for paging, starting at the offset. Limit is always capped at 100.

  - `status` (string)
    Enum: "SUBMITTED", "RUNNING", "PARTIALLY_COMPLETED", "COMPLETED", "FAILED", "PAUSED", "CANCELLED"

## Response 200 fields (application/json):

  - `count` (integer)
    Total number of records (excluding limit)

  - `bulkProcesses` (array)

  - `bulkProcesses.bulkId` (string)
    The bulk id of the bulk process

  - `bulkProcesses.status` (string)
    "SUBMITTED": the data for the bulk process operations has been persisted and bulk process is ready for execution. A bulk process in this status can be executed or submitted. This is the initial state for a bulk process

"RUNNING" :  the bulk process is currently being executed by the system

"COMPLETED"  : the execution of the bulk process is complete and all bulk operations of the bulk process were executed successfully. This is a final state for the bulk process 

"PARTIALLY_COMPLETED"  the execution of the bulk process is complete and some of the bulk operations of the bulk process failed. This is a final state for the bulk process

"FAILED" : none of the operations of the bulk process have executed. This is a final state for the bulk process

"PAUSED"  : the execution of bulk process has been paused through the Pause bulk process operation  Execution can be resumed through Resume bulk operation

"CANCELLED" : the execution of bulk process has been cancelled through Cancel bulk operation. This is a final state for the bulk process

  - `bulkProcesses.submittedItemsCount` (integer)
    The number of bulk operations in the bulk process

  - `bulkProcesses.executionStart` (integer)
    Timestamp of when the execution of the Bulk Process started

  - `bulkProcesses.executionFinish` (integer)
    Timestamp of when the execution of the Bulk Process finished.

  - `bulkProcesses.operation` (string)
    The underlying operations contained within the Bulk; shown as the endpoint for the equivalent single operation.

  - `bulkProcesses.mode` (string)
    The mode that was instructed when execution was started
    Enum: "ON_FAILURE_STOP", "ON_FAILURE_CONTINUE"

  - `responseCount` (integer)
    Total number of records returned in this response

## Response 400 fields (application/json):

  - `message` (string)
    When present helps to identify and fix the problem.

  - `syntaxErrors` (object)
    Is returned as part of an HTTP error response whenever a syntax error is detected. A list of the fields together with their syntax error will be provided.

  - `syntaxErrors.invalidFields` (array)

  - `syntaxErrors.invalidFields.params` (array)

  - `syntaxErrors.invalidFields.fieldName` (string)

  - `syntaxErrors.invalidFields.error` (string)
    Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE"

## Response 404 fields (application/json):

  - `code` (string)

  - `message` (string)

## Response 409 fields (application/json):

  - `errorCode` (string)
    Enum: "VALIDATION_FAILED", "USER_VALIDATION_FAILED", "ALREADY_SUBMITTED", "DUPLICATE_OPERATION_TYPE", "NO_CONFIG_FOUND", "INVALID_STATE", "TOO_MANY_REQUESTS"

## Response default fields (application/json):

  - `code` (string)

  - `message` (string)


## Response 401 fields

## Response 403 fields

## Response 500 fields

## Response 503 fields
